#include <bits/stdc++.h>

using namespace std;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string s;
    cin>>s;
    int n=s.length();

    int b1,b2;

    int j=0;
    vector<int>b(2);
    for(int i=0;i<n;i++){
        if(s[i]=='b'){
            b[j]=i;
            j=1;
        }
    }
    b1=b[0]+1;
    b2=n-b[1];

    cout<<abs(b1-b2)+1;


}